CLOCK(1)

NAME
clock - display the time in an icon or window

SYNOPSIS
clock [ -frst ] [ -d mdyaw ]

AVAILABILITY

This command is available with the SunView User's software installation option. Refer to for information on how to install optional software.

DESCRIPTION

clock is a SunView utility that displays the current time in a window. When open, clock shows the date and time in text format. When closed, clock displays a clock face.

Note: In previous releases clock was known as clocktool. In the current release, /usr/old/clocktool is a symbolic link to clock.

OPTIONS

-f  Display the date and day of week on the clock face.

-r  Use a square face with roman numerals in the iconic state. This replaces the default round clock face.

-s  Start clock with the seconds turned on. By default, the clock starts with seconds turned off, and updates every minute. With seconds turned on, it updates every second, and, if iconic, displays a second hand.

-t  Test mode — ignore the real time, and instead run in a loop continuously incrementing the time by one minute and displaying it.

-d  Display date information in a small area just below the clock face. The date information to be displayed may include:
    m   the month,
    d   the day of the month (1-31),
    y   the year,
    a   the string AM or PM, as appropriate,
    w   the day of the week (Sun-Sat).

    There is only room for 3 of these, but any 3 may be displayed in any sequence.

clock also accepts all of the generic tool arguments discussed in sunview(1).

USAGE

clock listens for keyboard input while open. It recognizes the following characters:

s or S
    Enable or disable the display of seconds.

t or T
    Enable or disable ``test'' mode.

FILES
/usr/lib/fonts/fixedwidthfonts/sail.r.6
    font for day-of-month clock-face display

SEE ALSO
date(1V), sunview(1)

NOTES

When the -r option is specified, clock displays the roman numeral four as IIII instead of IV to counterbalance the roman numeral eight, VIII.

BUGS

If you reset the system time, clock will not reflect the new time until you change its state from open to icon, or vice versa. To reset the system time, see date(1V).

The date display does not go well with the round clock face.